Package org.eclipse.lemminx.extensions.xsd.participants

## Class XSDReferenceParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.AbstractReferenceParticipant
  - - org.eclipse.lemminx.extensions.xsd.participants.XSDReferenceParticipant

All Implemented Interfaces:
  `IReferenceParticipant`

    public class XSDReferenceParticipant
    extends AbstractReferenceParticipant

XSD reference

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XSDReferenceParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `findReferences​(DOMNode node, org.eclipse.lsp4j.Position position, int offset, org.eclipse.lsp4j.ReferenceContext context, List<org.eclipse.lsp4j.Location> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find the references
`protected boolean` `match​(DOMDocument document)` Returns true if the reference support is applicable for the given document and false otherwise.

### Methods inherited from class org.eclipse.lemminx.services.extensions.AbstractReferenceParticipant

`findReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDReferenceParticipant

    public XSDReferenceParticipant()

### Method Detail

#### match

    protected boolean match​(DOMDocument document)

Description copied from class: `AbstractReferenceParticipant`
Returns true if the reference support is applicable for the given document and false otherwise.

Specified by:
  `match` in class `AbstractReferenceParticipant`
Returns:
  true if the reference support is applicable for the given document and false otherwise.

#### findReferences

    protected void findReferences​(DOMNode node,
                                  org.eclipse.lsp4j.Position position,
                                  int offset,
                                  org.eclipse.lsp4j.ReferenceContext context,
                                  List<org.eclipse.lsp4j.Location> locations,
                                  org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from class: `AbstractReferenceParticipant`
Find the references

Specified by:
  `findReferences` in class `AbstractReferenceParticipant`